package com.yidianling.router.app

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.yidianling.router.iRouter.BaseRouter

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/05/04
 */
interface IAppRouter: BaseRouter {

    fun mainIntent(activity: Activity): Intent

    fun mainIntent(context: Context, selectTab: Int, animation: Boolean): Intent

    fun myRedPockIntent(activity: Activity): Intent

    fun receiverRedPacketIntent(activity: Activity, param: ReceiveRedPacketParam): Intent

    fun personalInfoIntent(activity: Activity): Intent

    fun rechargeIntent(activity: Activity): Intent

    fun splashIntent(activity: Activity): Intent

    fun cleanUnReadnum()

    fun feedBackIntent(activity: Activity): Intent

    fun sendRedPacketIntent(activity: Activity, toUid: String): Intent

}